Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network248.4.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
248.4.0.0
Broadcast address
248.5.255.255
First usable
248.4.0.1
Last usable
248.5.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F8040000 · Integer 4161011712 to 4161142783
Reverse DNS zones
4.248.in-addr.arpa
5.248.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111000.00000100.00000000.00000000248.4.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network11111000.00000100.00000000.00000000248.4.0.0
Broadcast11111000.00000101.11111111.11111111248.5.255.255
Split into smaller subnets/22

248.4.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1248.4.0.0/22248.4.0.1 to 248.4.3.254248.4.3.2551,022
2248.4.4.0/22248.4.4.1 to 248.4.7.254248.4.7.2551,022
3248.4.8.0/22248.4.8.1 to 248.4.11.254248.4.11.2551,022
4248.4.12.0/22248.4.12.1 to 248.4.15.254248.4.15.2551,022
5248.4.16.0/22248.4.16.1 to 248.4.19.254248.4.19.2551,022
6248.4.20.0/22248.4.20.1 to 248.4.23.254248.4.23.2551,022
7248.4.24.0/22248.4.24.1 to 248.4.27.254248.4.27.2551,022
8248.4.28.0/22248.4.28.1 to 248.4.31.254248.4.31.2551,022
9248.4.32.0/22248.4.32.1 to 248.4.35.254248.4.35.2551,022
10248.4.36.0/22248.4.36.1 to 248.4.39.254248.4.39.2551,022
11248.4.40.0/22248.4.40.1 to 248.4.43.254248.4.43.2551,022
12248.4.44.0/22248.4.44.1 to 248.4.47.254248.4.47.2551,022
13248.4.48.0/22248.4.48.1 to 248.4.51.254248.4.51.2551,022
14248.4.52.0/22248.4.52.1 to 248.4.55.254248.4.55.2551,022
15248.4.56.0/22248.4.56.1 to 248.4.59.254248.4.59.2551,022
16248.4.60.0/22248.4.60.1 to 248.4.63.254248.4.63.2551,022
17248.4.64.0/22248.4.64.1 to 248.4.67.254248.4.67.2551,022
18248.4.68.0/22248.4.68.1 to 248.4.71.254248.4.71.2551,022
19248.4.72.0/22248.4.72.1 to 248.4.75.254248.4.75.2551,022
20248.4.76.0/22248.4.76.1 to 248.4.79.254248.4.79.2551,022
21248.4.80.0/22248.4.80.1 to 248.4.83.254248.4.83.2551,022
22248.4.84.0/22248.4.84.1 to 248.4.87.254248.4.87.2551,022
23248.4.88.0/22248.4.88.1 to 248.4.91.254248.4.91.2551,022
24248.4.92.0/22248.4.92.1 to 248.4.95.254248.4.95.2551,022
25248.4.96.0/22248.4.96.1 to 248.4.99.254248.4.99.2551,022
26248.4.100.0/22248.4.100.1 to 248.4.103.254248.4.103.2551,022
27248.4.104.0/22248.4.104.1 to 248.4.107.254248.4.107.2551,022
28248.4.108.0/22248.4.108.1 to 248.4.111.254248.4.111.2551,022
29248.4.112.0/22248.4.112.1 to 248.4.115.254248.4.115.2551,022
30248.4.116.0/22248.4.116.1 to 248.4.119.254248.4.119.2551,022
31248.4.120.0/22248.4.120.1 to 248.4.123.254248.4.123.2551,022
32248.4.124.0/22248.4.124.1 to 248.4.127.254248.4.127.2551,022
33248.4.128.0/22248.4.128.1 to 248.4.131.254248.4.131.2551,022
34248.4.132.0/22248.4.132.1 to 248.4.135.254248.4.135.2551,022
35248.4.136.0/22248.4.136.1 to 248.4.139.254248.4.139.2551,022
36248.4.140.0/22248.4.140.1 to 248.4.143.254248.4.143.2551,022
37248.4.144.0/22248.4.144.1 to 248.4.147.254248.4.147.2551,022
38248.4.148.0/22248.4.148.1 to 248.4.151.254248.4.151.2551,022
39248.4.152.0/22248.4.152.1 to 248.4.155.254248.4.155.2551,022
40248.4.156.0/22248.4.156.1 to 248.4.159.254248.4.159.2551,022
41248.4.160.0/22248.4.160.1 to 248.4.163.254248.4.163.2551,022
42248.4.164.0/22248.4.164.1 to 248.4.167.254248.4.167.2551,022
43248.4.168.0/22248.4.168.1 to 248.4.171.254248.4.171.2551,022
44248.4.172.0/22248.4.172.1 to 248.4.175.254248.4.175.2551,022
45248.4.176.0/22248.4.176.1 to 248.4.179.254248.4.179.2551,022
46248.4.180.0/22248.4.180.1 to 248.4.183.254248.4.183.2551,022
47248.4.184.0/22248.4.184.1 to 248.4.187.254248.4.187.2551,022
48248.4.188.0/22248.4.188.1 to 248.4.191.254248.4.191.2551,022
49248.4.192.0/22248.4.192.1 to 248.4.195.254248.4.195.2551,022
50248.4.196.0/22248.4.196.1 to 248.4.199.254248.4.199.2551,022
51248.4.200.0/22248.4.200.1 to 248.4.203.254248.4.203.2551,022
52248.4.204.0/22248.4.204.1 to 248.4.207.254248.4.207.2551,022
53248.4.208.0/22248.4.208.1 to 248.4.211.254248.4.211.2551,022
54248.4.212.0/22248.4.212.1 to 248.4.215.254248.4.215.2551,022
55248.4.216.0/22248.4.216.1 to 248.4.219.254248.4.219.2551,022
56248.4.220.0/22248.4.220.1 to 248.4.223.254248.4.223.2551,022
57248.4.224.0/22248.4.224.1 to 248.4.227.254248.4.227.2551,022
58248.4.228.0/22248.4.228.1 to 248.4.231.254248.4.231.2551,022
59248.4.232.0/22248.4.232.1 to 248.4.235.254248.4.235.2551,022
60248.4.236.0/22248.4.236.1 to 248.4.239.254248.4.239.2551,022
61248.4.240.0/22248.4.240.1 to 248.4.243.254248.4.243.2551,022
62248.4.244.0/22248.4.244.1 to 248.4.247.254248.4.247.2551,022
63248.4.248.0/22248.4.248.1 to 248.4.251.254248.4.251.2551,022
64248.4.252.0/22248.4.252.1 to 248.4.255.254248.4.255.2551,022
65248.5.0.0/22248.5.0.1 to 248.5.3.254248.5.3.2551,022
66248.5.4.0/22248.5.4.1 to 248.5.7.254248.5.7.2551,022
67248.5.8.0/22248.5.8.1 to 248.5.11.254248.5.11.2551,022
68248.5.12.0/22248.5.12.1 to 248.5.15.254248.5.15.2551,022
69248.5.16.0/22248.5.16.1 to 248.5.19.254248.5.19.2551,022
70248.5.20.0/22248.5.20.1 to 248.5.23.254248.5.23.2551,022
71248.5.24.0/22248.5.24.1 to 248.5.27.254248.5.27.2551,022
72248.5.28.0/22248.5.28.1 to 248.5.31.254248.5.31.2551,022
73248.5.32.0/22248.5.32.1 to 248.5.35.254248.5.35.2551,022
74248.5.36.0/22248.5.36.1 to 248.5.39.254248.5.39.2551,022
75248.5.40.0/22248.5.40.1 to 248.5.43.254248.5.43.2551,022
76248.5.44.0/22248.5.44.1 to 248.5.47.254248.5.47.2551,022
77248.5.48.0/22248.5.48.1 to 248.5.51.254248.5.51.2551,022
78248.5.52.0/22248.5.52.1 to 248.5.55.254248.5.55.2551,022
79248.5.56.0/22248.5.56.1 to 248.5.59.254248.5.59.2551,022
80248.5.60.0/22248.5.60.1 to 248.5.63.254248.5.63.2551,022
81248.5.64.0/22248.5.64.1 to 248.5.67.254248.5.67.2551,022
82248.5.68.0/22248.5.68.1 to 248.5.71.254248.5.71.2551,022
83248.5.72.0/22248.5.72.1 to 248.5.75.254248.5.75.2551,022
84248.5.76.0/22248.5.76.1 to 248.5.79.254248.5.79.2551,022
85248.5.80.0/22248.5.80.1 to 248.5.83.254248.5.83.2551,022
86248.5.84.0/22248.5.84.1 to 248.5.87.254248.5.87.2551,022
87248.5.88.0/22248.5.88.1 to 248.5.91.254248.5.91.2551,022
88248.5.92.0/22248.5.92.1 to 248.5.95.254248.5.95.2551,022
89248.5.96.0/22248.5.96.1 to 248.5.99.254248.5.99.2551,022
90248.5.100.0/22248.5.100.1 to 248.5.103.254248.5.103.2551,022
91248.5.104.0/22248.5.104.1 to 248.5.107.254248.5.107.2551,022
92248.5.108.0/22248.5.108.1 to 248.5.111.254248.5.111.2551,022
93248.5.112.0/22248.5.112.1 to 248.5.115.254248.5.115.2551,022
94248.5.116.0/22248.5.116.1 to 248.5.119.254248.5.119.2551,022
95248.5.120.0/22248.5.120.1 to 248.5.123.254248.5.123.2551,022
96248.5.124.0/22248.5.124.1 to 248.5.127.254248.5.127.2551,022
97248.5.128.0/22248.5.128.1 to 248.5.131.254248.5.131.2551,022
98248.5.132.0/22248.5.132.1 to 248.5.135.254248.5.135.2551,022
99248.5.136.0/22248.5.136.1 to 248.5.139.254248.5.139.2551,022
100248.5.140.0/22248.5.140.1 to 248.5.143.254248.5.143.2551,022
101248.5.144.0/22248.5.144.1 to 248.5.147.254248.5.147.2551,022
102248.5.148.0/22248.5.148.1 to 248.5.151.254248.5.151.2551,022
103248.5.152.0/22248.5.152.1 to 248.5.155.254248.5.155.2551,022
104248.5.156.0/22248.5.156.1 to 248.5.159.254248.5.159.2551,022
105248.5.160.0/22248.5.160.1 to 248.5.163.254248.5.163.2551,022
106248.5.164.0/22248.5.164.1 to 248.5.167.254248.5.167.2551,022
107248.5.168.0/22248.5.168.1 to 248.5.171.254248.5.171.2551,022
108248.5.172.0/22248.5.172.1 to 248.5.175.254248.5.175.2551,022
109248.5.176.0/22248.5.176.1 to 248.5.179.254248.5.179.2551,022
110248.5.180.0/22248.5.180.1 to 248.5.183.254248.5.183.2551,022
111248.5.184.0/22248.5.184.1 to 248.5.187.254248.5.187.2551,022
112248.5.188.0/22248.5.188.1 to 248.5.191.254248.5.191.2551,022
113248.5.192.0/22248.5.192.1 to 248.5.195.254248.5.195.2551,022
114248.5.196.0/22248.5.196.1 to 248.5.199.254248.5.199.2551,022
115248.5.200.0/22248.5.200.1 to 248.5.203.254248.5.203.2551,022
116248.5.204.0/22248.5.204.1 to 248.5.207.254248.5.207.2551,022
117248.5.208.0/22248.5.208.1 to 248.5.211.254248.5.211.2551,022
118248.5.212.0/22248.5.212.1 to 248.5.215.254248.5.215.2551,022
119248.5.216.0/22248.5.216.1 to 248.5.219.254248.5.219.2551,022
120248.5.220.0/22248.5.220.1 to 248.5.223.254248.5.223.2551,022
121248.5.224.0/22248.5.224.1 to 248.5.227.254248.5.227.2551,022
122248.5.228.0/22248.5.228.1 to 248.5.231.254248.5.231.2551,022
123248.5.232.0/22248.5.232.1 to 248.5.235.254248.5.235.2551,022
124248.5.236.0/22248.5.236.1 to 248.5.239.254248.5.239.2551,022
125248.5.240.0/22248.5.240.1 to 248.5.243.254248.5.243.2551,022
126248.5.244.0/22248.5.244.1 to 248.5.247.254248.5.247.2551,022
127248.5.248.0/22248.5.248.1 to 248.5.251.254248.5.251.2551,022
128248.5.252.0/22248.5.252.1 to 248.5.255.254248.5.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses